//  Definitions for the Windows PIC application.
  
  
#include "afxwin.h" 

struct CState
	{
	int             PenSize;
	long            PenColor;
	BOOL            PenDotted;
	BOOL            Filled;
	long            BrushColor;
	};

typedef CState* PState;


const long RGB_WHITE = 0x00FFFFFFL;
const long RGB_GRAY      = 0x00808080L;
const long RGB_BLACK = 0x00000000L;
const long RGB_RED       = 0x000000FFL;
const long RGB_GREEN = 0x0000FF00L;
const long RGB_BLUE      = 0x00FF0000L;

const int LISTSZ = 512;
const int PNTS   = 128;

class TObject
	{
public:
	int             shape;
	long    color;
	int             style;
	int             npoints;
	int             x_coord[PNTS];
	int             y_coord[PNTS];
	};

class Symbol
	{
public:
	Symbol  *next;
	char    *namep;
	TObject *value;
	};

extern TObject *objlst[], anObject;
extern Symbol *symlst;
extern int ocount;

void            append_objlst   ( TObject * o );;
void            clr_object              ( TObject * o );
void            cpy_object              ( TObject * t, TObject * f );
void            exception               ( char * m );
void            install                 ( char * s, TObject * o );
TObject *       new_object              ( TObject * o );
TObject *       lookup                  ( char * s );
int                     yyparse                 ( void );

