
#include "protos.h"

extern void yyerror( char * );

typedef union  {
  int   i;
  float r;
  char *s;
} YYSTYPE;
#define DDD 257
#define CHARACTER_CONSTANT 258
#define FLOAT_CONSTANT 259
#define INTEGER_CONSTANT 260
#define STRING 261
#define IDENTIFIER 262
#define TYPENAME 263
#define ENUMERATION_CONSTANT 264
#define Auto 265
#define Break 266
#define Case 267
#define Char 268
#define Const 269
#define Continue 270
#define Default 271
#define Do 272
#define Double 273
#define Else 274
#define Enum 275
#define Extern 276
#define Float 277
#define For 278
#define Goto 279
#define If 280
#define Int 281
#define Long 282
#define Register 283
#define Return 284
#define Short 285
#define Signed 286
#define Sizeof 287
#define Static 288
#define Struct 289
#define Switch 290
#define Typedef 291
#define Void 292
#define Volatile 293
#define Union 294
#define Unsigned 295
#define While 296
#define OROR 297
#define ANDAND 298
#define EQU 299
#define NEQ 300
#define LEQ 301
#define GEQ 302
#define SHL 303
#define SHR 304
#define ADDADD 305
#define SUBSUB 306
#define PTR 307
#define ADDEQ 308
#define SUBEQ 309
#define MULEQ 310
#define DIVEQ 311
#define MODEQ 312
#define SHLEQ 313
#define SHREQ 314
#define ANDEQ 315
#define XOREQ 316
#define IOREQ 317
#define BANDEQ 318
#define BXOREQ 319
#define BOREQ 320
#define BOR 321
#define BEOR 322
#define BAND 323
#define ADD 324
#define SUB 325
#define MUL 326
#define DIV 327
#define MOD 328
#define UNIADD 329
#define UNISUB 330
#define UNIMUL 331
#define UNIBAND 332
YYSTYPE yylval, yyval;
#define YYERRCODE 256
const int yyexca[] = {
  -1, 1,
  0, -1,
  -2, 0,
  0,
};

#define YYNPROD 216
#define YYLAST 2033

const int yyact[] = {
      68,      78,     196,      91,     209,     210,     232,     205,
     246,     206,     341,     147,     203,     204,      15,      15,
      13,      13,      89,     145,      57,      15,     283,     259,
     258,     165,     105,     110,     198,     117,     290,     100,
     234,     109,     142,     101,     102,     284,     103,      98,
     139,     302,     294,      30,     115,      16,     228,     197,
      21,      32,     138,     201,      79,      22,     126,      35,
      17,      23,     182,     143,     159,      24,      25,      18,
     185,      26,      27,     154,      19,      36,     186,      20,
      29,      33,      37,      28,      13,     224,     225,     148,
     126,     120,     128,     339,     163,     119,     288,       9,
      66,     323,     168,     216,     267,     235,     116,     133,
      49,      43,     190,     192,     126,     194,      51,      60,
     351,     159,     249,     167,     159,     312,     166,     199,
     298,     159,     240,     184,      47,     297,     152,     104,
     343,     159,     301,     334,      46,       4,       4,     106,
     308,     226,     159,     230,     296,     157,     155,      62,
     250,     287,     220,     105,      71,     159,     340,     226,
     100,     158,     109,      45,     101,     102,      61,     103,
     154,      50,     151,     311,     239,     322,     241,      56,
     150,     237,     243,     244,     245,      79,     247,      12,
     148,      64,     321,     211,     215,     212,     171,     229,
     307,     213,     242,     227,      59,      54,     214,      64,
     252,      63,     254,     126,     359,     251,      64,     159,
     356,     199,     315,     159,     263,     199,     217,     146,
     126,     126,     137,     289,     257,     126,     126,     126,
     126,     126,     126,     126,     126,     126,     126,     126,
     126,     126,     126,     126,     136,     164,     162,     253,
     260,     262,     161,     160,     202,      47,     126,      67,
     104,     270,     271,     105,      14,      14,     126,     126,
     100,     303,     109,      14,     101,     102,     268,     103,
     207,     208,     309,     112,     113,     111,     108,      75,
      30,     114,      16,      87,      76,      21,      32,      86,
      77,      83,      22,     126,      35,      17,      23,      84,
      85,      80,      24,      25,      18,      88,      26,      27,
      97,      19,      36,      81,      20,      29,      33,      37,
      28,      82,     295,     126,     183,     278,     279,     276,
     277,     269,      94,      95,      14,     286,     126,      32,
     324,     328,     329,     330,     107,     331,     332,      49,
     335,     105,     327,     126,     285,     118,     100,     319,
     109,     148,     101,     102,     261,     103,     255,      33,
     104,     188,     189,     187,       2,     338,      38,     344,
     346,     349,     222,      79,     354,      99,     350,     159,
     286,     352,     355,     121,     357,     358,     348,      96,
      93,     159,     360,     361,     342,     362,     313,     159,
     363,     314,      92,     170,     112,     113,     111,     108,
      75,      30,     114,      16,      87,      76,      21,      32,
      86,      77,      83,      22,      74,      35,      17,      23,
      84,      85,      80,      24,      25,      18,      88,      26,
      27,      97,      19,      36,      81,      20,      29,      33,
      37,      28,      82,      47,     265,     238,     104,      44,
     105,      73,      72,      94,      95,     100,      70,     109,
      69,     101,     102,     236,     103,     175,     176,     172,
     173,     174,     177,     178,     179,     181,     180,     131,
     306,     305,      79,     159,     159,       7,      52,     304,
     129,     105,     159,      42,     193,     231,     100,      58,
     109,     141,     101,     102,     140,     103,     264,      65,
     218,     159,      34,     219,     112,     113,     111,     108,
     127,      30,     114,      16,      31,      11,      21,      32,
      10,      40,       3,      22,       1,      35,      17,      23,
       0,       0,       0,      24,      25,      18,      42,      26,
      27,      97,      19,      36,       0,      20,      29,      33,
      37,      28,      47,       0,     153,     104,       0,       0,
     105,       0,       0,      94,      95,     100,       0,     109,
       0,     101,     102,       0,     103,       0,       0,       0,
       0,       0,       0,     272,     273,     274,     275,       0,
       0,       0,      79,     149,       0,     326,     104,       0,
       0,       0,     112,     113,     111,     108,      75,       0,
     114,       0,      87,      76,       0,       0,      86,      77,
      83,       0,       0,       0,       0,       0,      84,      85,
      80,     280,     281,     282,      88,       0,       0,      97,
       0,       0,      81,       0,      42,       0,       0,       0,
      82,       0,       0,       0,       0,       0,      42,     105,
       0,      94,      95,       0,     100,       0,     109,     353,
     101,     102,      47,     103,     105,     104,       0,       0,
       0,     100,       0,     109,     347,     101,     102,     105,
     103,       0,       0,     316,     100,       0,     109,     345,
     101,     102,     105,     103,       0,       0,       0,     100,
     123,     109,     336,     101,     102,       0,     103,      90,
       0,     112,     113,     111,     108,      75,      42,     114,
       0,      87,      76,       0,       6,      86,      77,      83,
       0,       0,      39,       0,       0,      84,      85,      80,
       0,       0,       0,      88,      55,       0,      97,       8,
       0,      81,     112,     113,     111,     108,     127,      82,
     114,       0,       0,       0,     104,      53,     105,       0,
      94,      95,     125,     100,       0,     109,       0,     101,
     102,     104,     103,       0,       0,     122,       0,      97,
       0,       0,       0,       0,     104,     156,       0,       0,
     333,       0,       0,     122,     125,       0,     105,     104,
       0,      94,      95,     100,     135,     109,       0,     101,
     102,       0,     103,       0,       0,       0,       0,       0,
       0,     112,     113,     111,     108,      75,       0,     114,
       0,      87,      76,       0,       0,      86,      77,      83,
       0,       0,       0,     105,       0,      84,      85,      80,
     100,       0,     109,      88,     101,     102,      97,     103,
       0,      81,       0,       0,       0,       0,       0,      82,
       0,       0,     318,     104,       0,     310,       0,       0,
      94,      95,       0,     221,       0,     105,       0,       0,
       0,       0,     100,       0,     109,     233,     101,     102,
       0,     103,       0,       0,       0,       0,     223,       0,
       0,       0,       0,     104,       0,       0,       0,       0,
     112,     113,     111,     108,     127,       0,     114,       0,
       0,       0,       0,       0,       0,     112,     113,     111,
     108,     127,       0,     114,       0,       0,       0,       0,
     112,     113,     111,     108,     127,      97,     114,       0,
     104,     293,       0,     112,     113,     111,     108,     127,
       0,     114,      97,     292,       0,       0,       0,      94,
      95,       0,     125,     299,     300,      97,       0,       0,
     266,       0,     125,     125,      94,      95,      55,       0,
      97,       0,     104,       0,     105,       0,       0,      94,
      95,     100,       0,     109,     256,     101,     102,     105,
     103,     223,      94,      95,     100,       0,     109,       0,
     101,     102,       0,     103,       0,       0,       0,     112,
     113,     111,     108,     127,       0,     114,       0,       0,
     317,     248,       0,       0,       0,       0,       0,     125,
       0,       0,       0,     325,       0,       0,       0,       0,
       0,       0,     125,     266,      97,       0,       0,     112,
     113,     111,     108,     127,       0,     114,     233,     337,
       0,       0,       0,     105,       0,       0,      94,      95,
     100,       0,     109,       0,     101,     102,     105,     103,
       0,       0,       0,     100,      97,     109,       0,     101,
     102,     104,     103,       0,     112,     113,     111,     108,
     127,       0,     114,       0,     104,       0,      94,      95,
     169,       0,       0,       0,       0,       0,       0,       0,
       0,       0,       0,       0,       0,       0,       0,       0,
       0,      97,       0,       0,       0,       0,     112,     113,
     111,     108,     127,       0,     114,       0,       0,       0,
     105,       0,       0,      94,      95,     100,       0,     109,
     105,     101,     102,       0,     103,     100,       0,     109,
       0,     101,     102,      97,     103,     149,     105,       0,
     104,       0,       0,     100,       0,     195,       0,     101,
     102,       0,     103,     104,       0,      94,      95,       0,
       0,       0,       0,       0,       0,       0,       0,       0,
       0,       0,       0,       0,       0,       0,       0,       0,
       0,     105,       0,       0,     124,       0,     100,       0,
     191,       0,     101,     102,       0,     103,       0,       0,
       0,       0,       0,       0,       0,       0,       0,       0,
       0,       0,       0,       0,       0,     112,     113,     111,
     108,     127,       0,     114,       0,     104,       0,       0,
     112,     113,     111,     108,     127,     104,     114,     225,
     291,      13,       0,       0,       0,       0,       0,       0,
       0,       0,      97,     104,       0,       0,       0,       0,
       0,       0,       0,       0,       0,      97,       0,       0,
       0,       0,       0,       0,      94,      95,       0,       0,
     267,     291,      13,       0,       0,       0,       0,      94,
      95,       0,       0,       0,       0,       0,     104,       0,
       0,       0,     226,       0,     112,     113,     111,     108,
     127,       0,     114,       0,       0,       0,       0,     112,
     113,     111,     108,     127,      15,     114,      13,       0,
       0,       0,       0,       0,       0,       0,       0,       0,
       0,      97,       0,     226,       0,       0,     234,       0,
       0,       0,       0,       0,      97,       0,       0,       0,
       0,       0,       0,      94,      95,       0,     225,       0,
      13,       0,       0,       0,       0,       0,      94,      95,
       0,       0,       0,       0,       0,       0,       0,       0,
       0,     112,     113,     111,     108,     127,       0,     114,
       0,     112,     113,     111,     108,     127,       0,     114,
      15,       0,      13,       0,       0,       0,       0,     112,
     113,     111,     108,     127,       0,     114,      97,       0,
       0,     226,       0,      41,       0,       0,      97,       0,
       0,       0,       0,       0,       0,       0,       0,       0,
      94,      95,       0,       0,      97,       0,       0,       0,
      94,      95,     112,     113,     111,     108,     127,       0,
     114,       0,     267,       0,      13,       0,      94,      95,
       0,       0,       0,       0,       0,       0,       0,       0,
       0,       0,       0,       0,       0,       0,       0,      97,
       0,       0,       0,       0,       0,       0,       0,       0,
       0,       0,       0,       0,       0,      14,      30,       0,
      16,      94,      95,      21,      32,      15,       0,      13,
      22,       0,      35,      17,      23,     226,       0,       0,
      24,      25,      18,       0,      26,      27,       0,      19,
      36,       0,      20,      29,      33,      37,      28,      30,
       0,      16,       0,       0,      21,      32,       0,       0,
     130,      22,       0,      35,      17,      23,       0,       0,
       0,      24,      25,      18,       0,      26,      27,       0,
      19,      36,       0,      20,      29,      33,      37,      28,
       0,       0,      14,      30,       0,      16,       0,       0,
      21,      32,       0,       0,       0,      22,       0,      35,
      17,      23,       0,       0,       0,      24,      25,      18,
       0,      26,      27,       0,      19,      36,      60,      20,
      29,      33,      37,      28,      14,      30,       0,      16,
       0,       0,      21,      32,     320,       0,       0,      22,
       0,      35,      17,      23,       0,       0,       0,      24,
      25,      18,       0,      26,      27,       0,      19,      36,
       0,      20,      29,      33,      37,      28,      14,      30,
       0,      16,       0,       0,      21,      32,       0,       0,
       0,      22,       0,      35,      17,      23,       0,       0,
       0,      24,      25,      18,      47,      26,      27,       0,
      19,      36,       0,      20,      29,      33,      37,      28,
       0,       0,       0,       0,       0,       0,       0,       0,
       0,       0,       0,       0,       0,       0,       0,       0,
       0,      30,       0,      16,       0,       0,      21,      32,
       0,       0,       0,      22,       0,      35,      17,      23,
       0,       0,       0,      24,      25,      18,       0,      26,
      27,       0,      19,      36,       0,      20,      29,      33,
      37,      28,       0,       0,       0,       0,       0,       0,
       0,       0,       0,      14,      30,       0,      16,       0,
       0,      21,      32,       0,       0,       0,      22,       0,
      35,      17,      23,       0,       0,       0,      24,      25,
      18,       0,      26,      27,       0,      19,      36,       0,
      20,      29,      33,      37,      28,     132,      30,      47,
      16,       0,       0,      21,      32,       0,       0,       0,
      22,       0,      35,      17,      23,       0,       0,       0,
      24,      25,      18,       0,      26,      27,       0,      19,
      36,       0,      20,      29,      33,      37,      28,       0,
      30,       0,      16,       0,       0,      21,      32,       0,
       0,       0,      22,       0,      35,      17,      23,       0,
       0,       0,      24,      25,      18,       0,      26,      27,
       0,      19,      36,       0,      20,      29,      33,      37,
      28,       0,      30,       0,      16,       0,       0,      21,
      32,       0,       0,       0,      22,       0,      35,      17,
      23,       0,       0,       0,      24,      25,      18,       0,
      26,      27,       0,      19,      36,       0,      20,      29,
      33,      37,      28,     145,      30,       0,      16,       0,
       0,      21,      32,       0,       0,       0,      22,       0,
      35,      17,      23,       0,       0,       0,      24,      25,
      18,       0,      26,      27,       0,      19,      36,       0,
      20,      29,      33,      37,      28,       0,       0,      48,
       5,       5,       0,      30,       0,      16,       0,       0,
      21,      32,       0,       0,       0,      22,       0,      35,
      17,      23,       0,       0,       0,      24,      25,      18,
       0,      26,      27,       0,      19,      36,       0,      20,
      29,      33,      37,      28,      30,       0,      16,       0,
       0,      21,      32,       0,       0,       0,      22,       0,
      35,      17,      23,     134,       0,       0,      24,      25,
      18,     144,      26,      27,       0,      19,      36,       0,
      20,      29,      33,      37,      28,       0,       0,       0,
       0,       0,       0,       0,       0,       0,       0,       0,
       0,       0,       0,       0,       0,       0,       0,       0,
       0,       0,       0,       0,       0,       0,       0,       0,
       0,       0,       0,       0,       0,       0,       0,       0,
       0,       0,       0,       0,       0,     200,       0,       0,
       0,       0,       0,       0,       0,       0,       0,       0,
       0,       0,       0,       0,       0,       0,       0,       0,
       0,       0,       0,       0,       0,       0,       0,       0,
       0,       0,     144,       0,     144,       0,       0,       0,
       0,       0,       0,       0,       0,       0,       0,       0,
       0,       0,       0,       0,       0,       0,       0,       0,
       0,       0,       0,       0,       0,       0,       0,       0,
       0,       0,       0,       0,       0,       0,       0,       0,
       0,       0,       0,       0,       0,       0,       0,       0,
       0,       0,       0,       0,       0,       0,       0,       0,
       0,       0,       0,     200,       0,       0,       0,       0,
       0,       0,       0,       0,       0,       0,       0,       0,
       0,       0,       0,       0,       0,       0,       0,       0,
       0,       0,       0,       0,     134,       0,       0,       0,
       0,     134,       0,       0,       0,       0,       0,       0,
       0,       0,       0,       0,       0,       0,       0,       0,
       0,       0,       0,       0,       0,       0,       0,       0,
       0,       0,       0,       0,       0,       0,       0,       0,
       0,       0,       0,       0,       0,       0,       0,       0,
       0,       0,       0,     134,       0,       0,       0,       0,
       0,       0,       0,       0,       0,       0,       0,       0,
       0,       0,       0,       0,       0,       0,       0,       0,
     134,
};

const int yypact[] = {
    1309,    1309,   -4096,   -4096,   -4096,    1216,    1484,   -4096,
     -19,      62,   -4096,   -4096,   -4096,      34,   -4096,     -25,
   -4096,   -4096,   -4096,   -4096,   -4096,   -4096,   -4096,   -4096,
   -4096,   -4096,   -4096,   -4096,   -4096,   -4096,   -4096,   -4096,
   -4096,   -4096,    -103,   -4096,   -4096,   -4096,   -4096,    1377,
      91,   -4096,   -4096,   -4096,    1484,   -4096,   -4096,     106,
    1216,      62,     983,    1343,      34,   -4096,   -4096,     161,
     -73,    1445,    1484,   -4096,     914,   -4096,     -25,   -4096,
   -4096,      -7,     375,   -4096,   -4096,   -4096,   -4096,   -4096,
   -4096,   -4096,   -4096,      76,     991,      75,      86,   -4096,
     187,     186,     182,     471,     181,    -237,      51,      48,
     925,   -4096,   -4096,     113,      -5,      24,    1040,    1040,
     991,    1005,    -296,   -4096,   -4096,   -4096,   -4096,   -4096,
   -4096,   -4096,     -77,   -4096,   -4096,     202,     -43,   -4096,
   -4096,   -4096,   -4096,     190,    -287,     -53,    -299,     128,
     135,   -4096,      42,      -2,   -4096,   -4096,   -4096,   -4096,
     157,     415,   -4096,      94,   -4096,   -4096,    1182,   -4096,
   -4096,   -4096,    1445,     -79,    1517,      87,   -4096,   -4096,
    1148,      32,   -4096,   -4096,   -4096,     914,   -4096,     280,
   -4096,   -4096,   -4096,     471,      56,     471,   -4096,     991,
     991,     991,     991,    -288,     854,      47,   -4096,   -4096,
      77,   -4096,     991,   -4096,   -4096,   -4096,   -4096,   -4096,
   -4096,   -4096,   -4096,   -4096,   -4096,   -4096,     991,     991,
     991,     843,    -238,    -239,   -4096,   -4096,   -4096,     991,
   -4096,   -4096,   -4096,     202,     991,     991,     155,     413,
    1266,     991,     991,     991,     991,     991,     991,     991,
     991,     991,     991,     991,     991,     991,     991,     991,
   -4096,   -4096,   -4096,    -240,    -220,   -4096,   -4096,      38,
      46,    1079,     748,     -83,   -4096,   -4096,    -243,      73,
   -4096,      54,     991,     991,      -3,   -4096,   -4096,   -4096,
     471,   -4096,   -4096,     398,     392,     391,     136,      69,
     714,   -4096,   -4096,   -4096,      97,    -296,      16,     317,
   -4096,   -4096,   -4096,   -4096,     153,     -77,     -43,     991,
   -4096,   -4096,      52,    1112,     190,    -287,     -53,     -53,
    -299,    -299,    -299,    -299,     128,     128,     135,     135,
   -4096,   -4096,   -4096,   -4096,   -4096,   -4096,      46,     677,
    1411,     129,     116,   -4096,      -4,   -4096,   -4096,   -4096,
   -4096,     -26,     991,   -4096,   -4096,   -4096,     408,   -4096,
     471,     471,     471,     991,     645,      64,     585,     991,
   -4096,   -4096,     991,   -4096,   -4096,     -10,   -4096,     101,
   -4096,   -4096,   -4096,   -4096,   -4096,   -4096,   -4096,   -4096,
    -264,   -4096,   -4096,     315,      61,     574,     563,     309,
     471,   -4096,   -4096,   -4096,   -4096,     471,      45,     550,
     299,     471,     151,     471,     471,   -4096,   -4096,   -4096,
     147,     471,     471,   -4096,     471,   -4096,   -4096,     471,
   -4096,   -4096,   -4096,   -4096,
};

const int yypgo[] = {
       0,     476,     332,     474,     124,    1743,     644,     407,
     140,     473,     437,     472,     469,     167,     468,     458,
      40,     452,     449,      34,      97,      11,     445,       6,
     624,      59,     663,      87,      30,     440,     438,     431,
      95,     203,      18,     419,      28,      77,       0,     416,
     414,     410,     409,     380,       1,      88,     631,       3,
     363,     362,      39,     127,      27,      44,      94,      29,
     317,      85,      81,     347,     352,     351,     341,     326,
     308,
};

const int yyr1[] = {
       0,       1,       1,       2,       2,       3,       3,       3,
       3,       4,       4,       7,       7,       5,       5,      10,
      10,      10,      11,      11,      11,      11,      11,      12,
      12,      12,      12,      12,      12,      12,      12,      12,
      12,      12,      13,      13,      14,      14,      14,      15,
      15,      15,      16,      16,      17,      17,       9,       9,
      20,      20,      19,      22,      22,      23,      23,      23,
      18,      18,      25,      25,       6,       6,      27,      27,
      27,      27,      27,      27,      27,      26,      26,      26,
      26,      30,      30,      28,      28,      31,      31,      32,
      32,      32,      29,      29,      21,      21,      21,      35,
      35,      36,      36,      33,      33,      33,      37,      37,
      37,      37,      37,      37,      37,      37,      37,      38,
      38,      38,      38,      38,      38,      39,      39,      39,
      40,      40,       8,       8,       8,       8,      45,      45,
      41,      41,      41,      42,      42,      42,      42,      42,
      42,      42,      42,      42,      42,      43,      43,      43,
      43,      43,      44,      44,      34,      34,      48,      48,
      48,      48,      48,      48,      48,      48,      48,      48,
      48,      46,      46,      24,      49,      49,      50,      50,
      51,      51,      52,      52,      53,      53,      54,      54,
      54,      55,      55,      55,      55,      55,      56,      56,
      56,      57,      57,      57,      58,      58,      58,      58,
      59,      59,      47,      47,      47,      47,      47,      47,
      61,      61,      61,      61,      61,      61,      60,      60,
      60,      60,      60,      60,      60,      60,      62,      62,
      62,      62,      63,      63,      64,      64,      64,      64,
};

const int yyr2[] = {
       0,       1,       2,       1,       1,       4,       3,       3,
       2,       3,       2,       1,       2,       1,       2,       1,
       1,       1,       1,       1,       1,       1,       1,       1,
       1,       1,       1,       1,       1,       1,       1,       1,
       1,       1,       1,       1,       5,       4,       2,       1,
       1,       1,       1,       1,       1,       2,       1,       3,
       1,       3,       3,       1,       3,       1,       3,       2,
       1,       3,       1,       3,       2,       1,       1,       3,
       4,       3,       4,       4,       3,       2,       1,       3,
       2,       1,       2,       1,       3,       1,       3,       2,
       2,       1,       1,       3,       1,       3,       4,       1,
       3,       2,       1,       1,       2,       1,       3,       4,
       3,       3,       2,       4,       3,       3,       2,       1,
       1,       1,       1,       1,       1,       3,       4,       3,
       2,       1,       4,       3,       3,       2,       1,       2,
       5,       7,       5,       5,       7,       9,       8,       8,
       7,       8,       7,       7,       6,       3,       2,       2,
       3,       2,       1,       3,       1,       3,       1,       1,
       1,       1,       1,       1,       1,       1,       1,       1,
       1,       1,       5,       1,       1,       3,       1,       3,
       1,       3,       1,       3,       1,       3,       1,       3,
       3,       1,       3,       3,       3,       3,       1,       3,
       3,       1,       3,       3,       1,       3,       3,       3,
       1,       4,       1,       2,       2,       2,       2,       4,
       1,       1,       1,       1,       1,       1,       1,       4,
       4,       3,       3,       3,       2,       2,       1,       1,
       1,       3,       1,       3,       1,       1,       1,       1,
};

const int yychk[] = {
   -4096,      -1,      -2,      -3,      -4,      -5,      -6,     -10,
     -26,     -27,     -11,     -12,     -13,      42,     262,      40,
     265,     276,     283,     288,     291,     268,     273,     277,
     281,     282,     285,     286,     295,     292,     263,     -14,
     269,     293,     -15,     275,     289,     294,      -2,      -6,
      -9,      59,     -10,     -20,      -7,      -8,      -4,     123,
      -5,     -27,      91,      40,     -30,     -26,     -13,      -6,
     262,     123,      -7,      -8,      61,      59,      44,      -8,
      -4,      -7,     -45,     125,     -38,     -39,     -40,      -8,
     -41,     -42,     -43,     262,     267,     271,     -44,      59,
     280,     290,     296,     272,     278,     279,     270,     266,
     284,     -34,     -46,     -47,     -49,     -60,     305,     306,
     -61,     287,     -50,     -62,      38,      42,      43,      45,
     126,      33,     -51,     -64,     261,      40,     -52,     260,
     258,     259,     264,     -53,     -54,     -55,     -56,     -57,
     -58,     -59,      -6,     -24,      93,     -46,     -47,     262,
     -28,     -29,      41,     -31,     262,     -32,      -5,     -26,
     -13,      41,     123,     -16,     -17,     -18,     -19,     -25,
      -5,     262,      -8,     -21,     -34,     123,     -20,     -45,
     125,     125,     -38,      58,     -24,      58,      59,      44,
      40,      40,      40,     -38,      40,     262,      59,      59,
     -44,      59,     -48,      61,     310,     311,     312,     308,
     309,     313,     314,     315,     317,     316,      63,     297,
      91,      40,      46,     307,     305,     306,     -47,      40,
     -47,     -59,     -47,      40,     298,     124,     -36,     -44,
      -5,      94,      38,     299,     300,      60,      62,     301,
     302,     303,     304,      43,      45,      42,      47,      37,
      93,      41,      41,      44,      44,      -6,     -33,     -26,
     -37,      40,      91,     -16,     125,     -19,      44,     -22,
     -23,      -6,      58,      61,     -35,     -21,     125,     -38,
      58,     -38,     -34,     -44,     -44,     -44,     296,     -44,
      59,      59,      59,     -34,     -44,     -50,     -44,     -63,
      41,     -34,     262,     262,     -36,     -51,     -52,      41,
      41,     -33,     -26,      40,     -53,     -54,     -55,     -55,
     -56,     -56,     -56,     -56,     -57,     -57,     -58,     -58,
     -59,     -59,     -59,     262,     257,     -32,     -37,      91,
      40,     -33,     -28,      41,     -24,      93,     125,     -25,
      59,      44,      58,     -24,     -24,     125,      44,     -38,
      41,      41,      41,      40,      59,     -44,      59,      58,
      93,      41,      44,      41,     -59,     -24,      93,     -28,
      41,      41,      41,      93,     -23,     -24,     125,     -21,
     -38,     -38,     -38,     -44,     -44,      59,      59,     -44,
      41,     -46,     -34,      93,      41,     274,      41,      59,
     -44,      41,     -44,      41,      41,     -38,     -38,      59,
     -44,      41,      41,     -38,      41,     -38,     -38,      41,
     -38,     -38,     -38,     -38,
};

const int yydef[] = {
       0,      -2,       1,       3,       4,       0,       0,      13,
       0,      61,      15,      16,      17,      70,      62,       0,
      18,      19,      20,      21,      22,      23,      24,      25,
      26,      27,      28,      29,      30,      31,      32,      33,
      34,      35,       0,      39,      40,      41,       2,      48,
       0,      10,      14,      46,       0,       8,      11,       0,
       0,      60,       0,       0,      69,      72,      73,       0,
      38,       0,       0,       6,       0,       9,       0,       7,
      12,       0,       0,     117,     118,     103,     104,     105,
     106,     107,     108,     206,       0,       0,       0,     113,
       0,       0,       0,       0,       0,       0,       0,       0,
       0,     138,     140,     184,     153,     186,       0,       0,
       0,       0,     156,     198,     192,     193,     194,     195,
     196,     197,     158,     207,     208,       0,     160,     212,
     213,     214,     215,     162,     164,     166,     169,     174,
     177,     180,      48,       0,      65,     155,     184,     206,
       0,       0,      68,      75,      82,      77,      81,      71,
      74,      63,       0,       0,      42,      43,      44,      56,
       0,      58,       5,      49,      84,       0,      47,       0,
     115,     116,     119,       0,       0,       0,     112,       0,
       0,       0,       0,       0,       0,       0,     134,     135,
       0,     137,       0,     142,     143,     144,     145,     146,
     147,     148,     149,     150,     151,     152,       0,       0,
       0,       0,       0,       0,     204,     205,     187,       0,
     188,     189,     190,       0,       0,       0,       0,       0,
      90,       0,       0,       0,       0,       0,       0,       0,
       0,       0,       0,       0,       0,       0,       0,       0,
      64,      66,      67,       0,       0,      79,      80,      91,
      93,       0,       0,       0,      37,      45,       0,       0,
      51,      53,       0,       0,       0,      87,     114,     109,
       0,     111,     139,       0,       0,       0,       0,       0,
       0,     133,     136,     141,       0,     157,       0,       0,
     201,     210,     202,     203,       0,     159,     161,       0,
     209,      89,      91,       0,     163,     165,     167,     168,
     170,     171,     172,     173,     175,     176,     178,     179,
     181,     182,     183,      83,      76,      78,      92,       0,
       0,       0,       0,     102,       0,      98,      36,      57,
      50,       0,       0,      55,      59,      85,       0,     110,
       0,       0,       0,       0,       0,       0,       0,       0,
     199,     200,       0,     191,     185,       0,      96,       0,
     100,      94,     101,      97,      52,      54,      86,      88,
     120,     122,     123,       0,       0,       0,       0,       0,
       0,     154,     211,      95,      99,       0,       0,       0,
       0,       0,       0,       0,       0,     132,     121,     124,
       0,       0,       0,     128,       0,     130,     131,       0,
     126,     127,     129,     125,
};

/*****************************************************************/
/* PCYACC LALR parser driver routine -- a table driven procedure */
/* for recognizing sentences of a language defined by the        */
/* grammar that PCYACC analyzes. An LALR parsing table is then   */
/* constructed for the grammar and the skeletal parser uses the  */
/* table when performing syntactical analysis on input source    */
/* programs. The actions associated with grammar rules are       */
/* inserted into a switch statement for execution.               */
/*****************************************************************/


#ifndef YYMAXDEPTH
#define YYMAXDEPTH 200
#endif
#ifndef YYREDMAX
#define YYREDMAX 1000
#endif
#define PCYYFLAG -4096
#define WAS0ERR 0
#define WAS1ERR 1
#define WAS2ERR 2
#define WAS3ERR 3
#define yyclearin pcyytoken = -1
#define yyerrok   pcyyerrfl = 0
YYSTYPE yyv[YYMAXDEPTH];     /* value stack */
int pcyyerrct = 0;           /* error count */
int pcyyerrfl = 0;           /* error flag */
int redseq[YYREDMAX];
int redcnt = 0;
int pcyytoken = -1;          /* input token */


yyparse()
{
#ifdef YYSHORT
  const short *yyxi;
#else
  const int *yyxi;
#endif
#ifdef YYASTFLAG
    int ti; int tj;
#endif

#ifdef YYDEBUG
int tmptoken;
#endif
  int statestack[YYMAXDEPTH]; /* state stack */
  int      j, m;              /* working index */
  YYSTYPE *yypvt;
  int      tmpstate, *yyps, n;
  YYSTYPE *yypv;


  tmpstate = 0;
  pcyytoken = -1;


#ifdef YYDEBUG
  tmptoken = -1;
#endif


  pcyyerrct = 0;
  pcyyerrfl = 0;
  yyps = &statestack[-1];
  yypv = &yyv[-1];


  enstack:    /* push stack */
#ifdef YYDEBUG
    printf("at state %d, next token %d\n", tmpstate, tmptoken);
#endif
    if (++yyps - &statestack[YYMAXDEPTH-1] > 0) {
      yyerror("pcyacc internal stack overflow");
      return(1);
    }
    *yyps = tmpstate;
    ++yypv;
    *yypv = yyval;


  newstate:
    n = yypact[tmpstate];
    if (n <= PCYYFLAG) goto defaultact; /*  a simple state */


    if (pcyytoken < 0) if ((pcyytoken=yylex()) < 0) pcyytoken = 0;
    if ((n += pcyytoken) < 0 || n >= YYLAST) goto defaultact;


    if (yychk[n=yyact[n]] == pcyytoken) { /* a shift */
#ifdef YYDEBUG
      tmptoken  = pcyytoken;
#endif
      pcyytoken = -1;
      yyval = yylval;
      tmpstate = n;
      if (pcyyerrfl > 0) --pcyyerrfl;
      goto enstack;
    }


  defaultact:


    if ((n=yydef[tmpstate]) == -2) {
      if (pcyytoken < 0) if ((pcyytoken=yylex())<0) pcyytoken = 0;
      for (yyxi=yyexca; (*yyxi!= (-1)) || (yyxi[1]!=tmpstate); yyxi += 2);
      while (*(yyxi+=2) >= 0) if (*yyxi == pcyytoken) break;
      if ((n=yyxi[1]) < 0) { /* an accept action */
#ifdef YYASTFLAG
          yytfilep = fopen(yytfilen, "w");
          if (yytfilep == NULL) {
            fprintf(stderr, "Can't open t file: %s\n", yytfilen);
            return(0);          }
          for (ti=redcnt-1; ti>=0; ti--) {
            tj = svdprd[redseq[ti]];
            while (strcmp(svdnams[tj], "$EOP"))
              fprintf(yytfilep, "%s ", svdnams[tj++]);
            fprintf(yytfilep, "\n");
          }
          fclose(yytfilep);
#endif

        return (0);
      }
    }


    if (n == 0) {        /* error situation */
      switch (pcyyerrfl) {
        case WAS0ERR:          /* an error just occurred */
          yyerror("syntax error");
            ++pcyyerrct;
        case WAS1ERR:
        case WAS2ERR:           /* try again */
          pcyyerrfl = 3;
	   /* find a state for a legal shift action */
          while (yyps >= statestack) {
	     n = yypact[*yyps] + YYERRCODE;
	     if (n >= 0 && n < YYLAST && yychk[yyact[n]] == YYERRCODE) {
	       tmpstate = yyact[n];  /* simulate a shift of "error" */
	       goto enstack;
            }
	     n = yypact[*yyps];


	     /* the current yyps has no shift on "error", pop stack */
#ifdef YYDEBUG
            printf("error: pop state %d, recover state %d\n", *yyps, yyps[-1]);
#endif
	     --yyps;
	     --yypv;
	   }


	   yyabort:

#ifdef YYASTFLAG
              yytfilep = fopen(yytfilen, "w");
              if (yytfilep == NULL) {
                fprintf(stderr, "Can't open t file: %s\n", yytfilen);
                return(1);              }
              for (ti=1; ti<redcnt; ti++) {
                tj = svdprd[redseq[ti]];
                while (strcmp(svdnams[tj], "$EOP"))
                  fprintf(yytfilep, "%s ", svdnams[tj++]);
                fprintf(yytfilep, "\n");
              }
              fclose(yytfilep);
#endif

	     return(1);


	 case WAS3ERR:  /* clobber input char */
#ifdef YYDEBUG
          printf("error: discard token %d\n", pcyytoken);
#endif
          if (pcyytoken == 0) goto yyabort; /* quit */
	   pcyytoken = -1;
	   goto newstate;      } /* switch */
    } /* if */


    /* reduction, given a production n */
#ifdef YYDEBUG
    printf("reduce with rule %d\n", n);
#endif
#ifdef YYASTFLAG
    if ( redcnt<YYREDMAX ) redseq[redcnt++] = n;
#endif
    yyps -= yyr2[n];
    yypvt = yypv;
    yypv -= yyr2[n];
    yyval = yypv[1];
    m = n;
    /* find next state from goto table */
    n = yyr1[n];
    j = yypgo[n] + *yyps + 1;
    if (j>=YYLAST || yychk[ tmpstate = yyact[j] ] != -n) tmpstate = yyact[yypgo[n]];
    switch (m) { /* actions associated with grammar rules */
          }
    goto enstack;
}
